#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	python3 setup.py expand --bindir=/usr/bin --sysconfigdir=/etc

execute_after_dh_auto_install:
	cp system/dkimpy-milter debian/dkimpy-milter.init
	mkdir -p debian/dkimpy-milter/etc/dkimpy-milter
	mv debian/dkimpy-milter/usr/etc/dkimpy-milter/* \
	    debian/dkimpy-milter/etc/dkimpy-milter
	rm -rf debian/dkimpy-milter/usr/etc

override_dh_python3:
	dh_python3 --no-guessing-deps -v -p dkimpy-milter

execute_before_dh_auto_clean:
	python3 setup.py expand
